Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000196 [Piwigo] other minor always 2005.11.09 11:39 2006.04.20 23:44
Reporter noiry View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.2 Product Version 1.5.0
  Target Version Product Build
Summary 0000196: 1.5.0 : derniere version ?
Description Sur la page d'admin, si on clique sur derniere version, on obtient ceci :

Vous travaillez avec les sources de développement, impossible de vérifier la dernière version.

Ce n'est plus vrai... :)
Steps To Reproduce
Additional Information Ah... l'impatience quand tu nous tiens... :)
Tags No tags attached.
browser IE
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000382)
noiry (reporter)
2005.11.09 11:47

cf http://kmoi.2005.free.fr/derniere_version.jpg [^]
(0000383)
plg (manager)
2005.11.09 18:52

En effet, le bug existait en 1.5.0RCx et avant de mettre la 1.5.0 officielle, j'ai constaté le bug, mais comme c'est juste une nouvelle fonctionnalité mineure qui ne fonctionne pas, je me suis dit que je corrigerai pour la 1.5.1 :-)

Bref, c'est à étudier.
(0000501)
chrisaga (developer)
2005.12.10 14:37

Il doit y avoir un truc sur le parsing de la version car, ayant intégré des corrections de bugs à ma galerie perso, j'avais positionné mon n° de version à 1.5.0+, et je n'ai pas le problème.
Bien sûr la comparaison du n° de version ne fonctionne pas car il me disait déjà qu'une nouvelle version était disponible alors que la version officielle était encore 1.5.0.

Hope it helps.
(0000523)
plg (manager)
2005.12.25 22:55
edited on: 2005.12.25 23:03

En créant la release 1.5.2, je viens de comprendre pourquoi ce bug subsiste : l'outil de création de release remplace la chaîne %PWGVERSION% par le numéro de la release fabriquée... bref, ce sera corrigé pour la 1.5.2.

(0000528)
plg (manager)
2005.12.27 10:05
edited on: 2005.12.27 10:05

Correction faite manuellement en release 1.5.2, et plus proprement dans [Subversion] r991 pour la branche 1.5

(0000818)
plg (manager)
2006.04.20 23:44

- reported on BSF [Subversion] r1126
- reported on branch 1.6 [Subversion] r1227

- Issue History
Date Modified Username Field Change
2005.11.09 11:39 noiry New Issue
2005.11.09 11:39 noiry browser => IE
2005.11.09 11:39 noiry Web server => Apache 1.3.x
2005.11.09 11:47 noiry Note Added: 0000382
2005.11.09 18:52 plg Note Added: 0000383
2005.11.09 18:53 plg Assigned To => plg
2005.11.09 18:53 plg Status new => assigned
2005.11.09 18:53 plg Category warnings => other
2005.11.09 18:53 plg version 1.5.0RC3 => 1.5.0
2005.12.10 14:37 chrisaga Note Added: 0000501
2005.12.10 15:00 lapinot Issue Monitored: lapinot
2005.12.25 22:55 plg Note Added: 0000523
2005.12.25 23:03 plg Note Edited: 0000523
2005.12.27 10:05 plg Note Added: 0000528
2005.12.27 10:05 plg Status assigned => resolved
2005.12.27 10:05 plg Fixed in Version => 1.5.2
2005.12.27 10:05 plg Note Edited: 0000528
2006.01.02 09:30 lapinot Issue End Monitor: lapinot
2006.02.13 22:26 plg Resolution open => fixed
2006.04.20 23:44 plg Note Added: 0000818
2006.04.20 23:44 plg Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker